all repos

dotfiles @ 313ce4826b22a8f6f3e9104445998eee593349ef

my dotfiles
3 files changed, 26 insertions(+), 4 deletions(-)
chore: migrate to my own script from rcm
Author: Smirnov Oleksandr ss2316544@gmail.com
Committed at: 2024-05-08 18:31:31 +0300
Parent: f8b5dcf
M README.md

@@ -10,12 +10,12 @@ - `Font` Jatbrains Mono

## Install dependencys ```bash -paru -S rcm neovim-git git kitty github-cli tmux zsh fish ttf-jetbrains-mono hyprland waybar hyprpaper \ +paru -S neovim-git git kitty github-cli tmux zsh fish ttf-jetbrains-mono hyprland waybar hyprpaper \ wofi grim dunst brightnessctl pavucontrol xdg-desktop-portal-hyprland xdg-desktop-portal-gtk ``` ## And install deps ```bash git clone --recursive https://github.com/olexsmir/dotfiles ~/.dotfiles -rcup rcrc && rcup +./bootstrap ```
A bootstrap

@@ -0,0 +1,24 @@

+#!/usr/bin/env bash +set -e + +ln -sf "$PWD/zshrc" "$HOME/.zshrc" +ln -sf "$PWD/gitconfig" "$HOME/.gitconfig" +ln -sf "$PWD/tmux.conf" "$HOME/.tmux.conf" + +mkdir -p "$HOME/bin/" +for file in $(find "$PWD/bin" -type f); do + ln -sf "$file" "$HOME/bin" +done + +mkdir -p "$HOME/.config/" +ln -sf "$PWD/config/alacritty.yml" "$HOME/.config/alacritty.yml" +ln -sf "$PWD/config/electron-flags.conf" "$HOME/.config/electron-flags.conf" +ln -sf "$PWD/config/starship.toml" "$HOME/.config/starship.toml" + +for dir in $(find "$PWD/config/" -type d); do + mkdir -p "$HOME/.config${dir#$PWD/config}" + + for file in $(find "$dir" -maxdepth 1 -type f); do + ln -sf "$file" "$HOME/.config${file#$PWD/config}" + done +done
D rcrc

@@ -1,2 +0,0 @@

-EXCLUDES="README.md screen.png .gitmodules bootstrap.sh" -UNDOTTED="bin"